from db.entities.layer_adapter import LayerAdapter

from db.use_case_repository import UseCaseRepository
from db.repository import Repository
from db.schema_repository import SchemaRepository

from services.layer_adapter_service import LayerAdapterService


import json
from flask import Response, request

use_case_repository = UseCaseRepository()
schema_repository = SchemaRepository()
repository = Repository()

def all():
    return [use_case.to_serializable_dict() for use_case in use_case_repository.all()]

def delete_all():
    use_case_repository.delete_all()
    repository.delete_all()
    schema_repository.delete_all()
    return Response(status=200)